

module "kubernetes_stg" {

  source = "./modules/kubernetes"
  providers = {
    kubernetes = kubernetes.staging
  }

  access_key = aws_iam_access_key.lke-external-dns.id
  secret_key = aws_iam_access_key.lke-external-dns.secret

}


module "kubernetes_prd" {

  source = "./modules/kubernetes"
  providers = {
    kubernetes = kubernetes.production
  }

  access_key = aws_iam_access_key.lke-external-dns.id
  secret_key = aws_iam_access_key.lke-external-dns.secret

}

